## axiom 20120501

=== Makefile ===
# Copyright 1995-2001 by Norman Ramsey.  All rights reserved.
# See file COPYRIGHT for more information.
#
# Adjust these two lines for your ANSI C compiler
CC=gcc -ansi -pedantic
CFLAGS=
# If you have Icon, you should use the Icon versions of the noweb pipeline.
# Set LIBSRC=icon
LIBSRC=awk
# If you have no Icon compiler, but do have icont, make ICONC=icont
ICONC=iconc
ICONT=icont

# BIN is where the commands (notangle, noweave, nountangle, noroots) land
# LIB is where the pieces of the pipes (nt, markup, unmarkup) are stored
# MAN is the root of your local man pages directory
# MANEXT is the extension for your commands' man pages (usually 1 or l)
# MAN7EXT is the extension for the nowebstyle man page (usually 7)
# TEXINPUTS is the directory for TeX macro files
# ELISP is the directory for emacs lisp files, or /dev/null not to install
BIN=/usr/local/noweb
LIB=/usr/local/noweb/lib
MAN=/usr/local/noweb/man
MANEXT=1
MAN7EXT=7
TEXINPUTS=/usr/local/tex/inputs
ELISP=/dev/null

# change WEAVE if you want a different version of noweave to be installed
WEAVE=noweave		

# Stop editing.	 No user-serviceable parts below.
SHELL=/bin/sh
CINAME=
CIMSG=
MANDIR=$(MAN)/man$(MANEXT)
MAN7DIR=$(MAN)/man$(MAN7EXT)
CATDIR=$(MAN)/cat$(MANEXT)
CAT7DIR=$(MAN)/cat$(MAN7EXT)
LIBNAME=$(LIB)
TEXNAME=$(TEXINPUTS)

all: 
	cd c; make "CC=$(CC)" "CFLAGS=$(CFLAGS)" all 
	for i in shell lib xdoc tex; do (cd $$i; make all); done
	cd $(LIBSRC); make "ICONT=$(ICONT)" "ICONC=$(ICONC)" all

FAQ: FAQ.html
	sleep 1; html2ascii FAQ.html > FAQ

FAQ.html: $(HOME)/www/noweb/FAQ.html
	rm -f FAQ.html
	/bin/cp $(HOME)/www/noweb/FAQ.html FAQ.html
	chmod -w FAQ.html

install: install-code install-man install-tex install-elisp

install-shell:
	-mkdir $(BIN) $(LIB) 2>/dev/null
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/noweb > $(BIN)/noweb
	chmod +x $(BIN)/noweb
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/notangle > $(BIN)/notangle
	chmod +x $(BIN)/notangle
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/$(WEAVE) > $(BIN)/$(WEAVE)
	chmod +x $(BIN)/$(WEAVE)
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/nountangle > $(BIN)/nountangle
	chmod +x $(BIN)/nountangle
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/nodefs > $(BIN)/nodefs
	chmod +x $(BIN)/nodefs
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/noroots > $(BIN)/noroots
	chmod +x $(BIN)/noroots
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/nuweb2noweb > $(BIN)/nuweb2noweb
	chmod +x $(BIN)/nuweb2noweb
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/cpif > $(BIN)/cpif
	chmod +x $(BIN)/cpif
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/htmltoc > $(BIN)/htmltoc
	chmod +x $(BIN)/htmltoc
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/noroff > $(BIN)/noroff
	chmod +x $(BIN)/noroff
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/toroff > $(LIB)/toroff
	chmod +x $(LIB)/toroff
	cp shell/tmac.w $(LIB)

install-code: install-shell
	-mkdir $(BIN) $(LIB) 2>/dev/null
	strip c/nt c/markup c/mnt c/finduses
	cp c/nt c/markup c/mnt c/finduses $(LIB)
	cd $(LIBSRC); make ICONT=$(ICONT) ICONC=$(ICONC) LIB=$(LIB) BIN=$(BIN) install
	cd lib; make LIB=$(LIB) install
install-man:
	-mkdir $(MAN) $(MANDIR) $(MAN7DIR) 2>/dev/null
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/cpif.1 > $(MANDIR)/cpif.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nodefs.1 > $(MANDIR)/nodefs.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroots.1 > $(MANDIR)/noroots.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noweb.1 > $(MANDIR)/noweb.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noindex.1 > $(MANDIR)/noindex.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nuweb2noweb.1 > $(MANDIR)/nuweb2noweb.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/notangle.1 > $(MANDIR)/notangle.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroff.1 > $(MANDIR)/noroff.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/sl2h.1 > $(MANDIR)/sl2h.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/htmltoc.1 > $(MANDIR)/htmltoc.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebstyle.7 > $(MAN7DIR)/nowebstyle.$(MAN7EXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebfilters.7 > $(MAN7DIR)/nowebfilters.$(MAN7EXT)
	rm -f $(MANDIR)/noweave.$(MANEXT)
	(cd $(MANDIR); ln notangle.$(MANEXT) noweave.$(MANEXT))
	rm -f $(MANDIR)/nountangle.$(MANEXT)
	(cd $(MANDIR); ln notangle.$(MANEXT) nountangle.$(MANEXT))
install-gzipped-man:
	-mkdir $(MAN) $(MANDIR) $(MAN7DIR) 2>/dev/null
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/cpif.1  | gzip -9 > $(MANDIR)/cpif.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nodefs.1  | gzip -9 > $(MANDIR)/nodefs.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroots.1  | gzip -9 > $(MANDIR)/noroots.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noweb.1  | gzip -9 > $(MANDIR)/noweb.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noindex.1  | gzip -9 > $(MANDIR)/noindex.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nuweb2noweb.1  | gzip -9 > $(MANDIR)/nuweb2noweb.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/notangle.1  | gzip -9 > $(MANDIR)/notangle.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroff.1  | gzip -9 > $(MANDIR)/noroff.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/sl2h.1  | gzip -9 > $(MANDIR)/sl2h.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/htmltoc.1  | gzip -9 > $(MANDIR)/htmltoc.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebstyle.7  | gzip -9 > $(MAN7DIR)/nowebstyle.$(MAN7EXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebfilters.7  | gzip -9 > $(MAN7DIR)/nowebfilters.$(MAN7EXT).gz
	rm -f $(MANDIR)/noweave.$(MANEXT).gz
	(cd $(MANDIR); ln notangle.$(MANEXT).gz noweave.$(MANEXT).gz)
	rm -f $(MANDIR)/nountangle.$(MANEXT).gz
	(cd $(MANDIR); ln notangle.$(MANEXT).gz nountangle.$(MANEXT).gz)
install-preformat-man:
	-echo "Warning: install-preformat-man is obsolete, even on Slackware systems" 1>&2
	-mkdir $(MAN) $(CATDIR) $(CAT7DIR) 2>/dev/null
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/cpif.txt  | gzip > $(CATDIR)/cpif.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nodefs.txt  | gzip > $(CATDIR)/nodefs.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroots.txt  | gzip > $(CATDIR)/noroots.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noweb.txt  | gzip > $(CATDIR)/noweb.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noindex.txt  | gzip > $(CATDIR)/noindex.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nuweb2noweb.txt  | gzip > $(CATDIR)/nuweb2noweb.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/notangle.txt  | gzip > $(CATDIR)/notangle.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroff.txt  | gzip > $(CATDIR)/noroff.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/sl2h.txt  | gzip > $(CATDIR)/sl2h.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/htmltoc.txt  | gzip > $(CATDIR)/htmltoc.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebstyle.txt  | gzip > $(CAT7DIR)/nowebstyle.$(MAN7EXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebfilters.txt  | gzip > $(CAT7DIR)/nowebfilters.$(MAN7EXT).gz
	rm -f $(CATDIR)/noweave.$(MANEXT).gz
	(cd $(CATDIR); ln notangle.$(MANEXT).gz noweave.$(MANEXT).gz)
	rm -f $(CATDIR)/nountangle.$(MANEXT).gz
	(cd $(CATDIR); ln notangle.$(MANEXT).gz nountangle.$(MANEXT).gz)
install-tex:
	-mkdir $(TEXINPUTS) 2>/dev/null
	cp tex/nwmac.tex tex/noweb.sty $(TEXINPUTS)
	-texhash || echo "Program texhash not found or failed"

install-elisp:
	-mkdir $(ELISP) 2>/dev/null
	cp elisp/noweb-mode.el $(ELISP)

checkin:
	for i in lib tex xdoc; do (cd $$i; make "CINAME=$(CINAME)" "CIMSG=$(CIMSG)" checkin); done
	for i in c icon awk; do (cd $$i; ci -l $(CINAME) $(CIMSG) *.nw Makefile); done
	(cd elisp; ci -l $(CINAME) $(CIMSG) *.el)
	ci -l $(CINAME) $(CIMSG) Makefile.nw INSTALL INSTALL.DOS README FAQ COPYRIGHT nwmake *.nw

source: FAQ
	for i in c shell lib xdoc icon awk tex; do (cd $$i; make CPIF=">" source); done
	sleep 1
	for i in c shell lib xdoc icon awk tex; do (cd $$i; make touch); done
touch:
	touch FAQ
	for i in c shell lib xdoc icon awk tex; do (cd $$i; make touch); done
clean:
	for i in c shell lib xdoc icon awk tex; do (cd $$i; make clean); done
	rm -f nwsrcfilter *~ */*~

clobber: clean
	for i in c lib icon awk xdoc; do (cd $$i; make clobber); done

Makefile: Makefile.nw
	chmod +w Makefile
	notangle -R'script' Makefile.nw | sh > Makefile
	chmod -w Makefile

=== icon/Makefile ===
SHELL=/bin/sh
LIB=/dev/null		# to be overridden
BIN=/dev/null		# to be overridden
ICONC=iconc		# override to icont if no iconc on your system
ICONT=icont		# override to iconc if all filter should be compiled
CPIF=| cpif		# change to ">" to insure all sources always made

LIBEXECS=totex disambiguate noidx tohtml elide l2h docs2comments \
       autodefs.tex autodefs.icon autodefs.yacc autodefs.sml autodefs.pascal \
	autodefs.promela autodefs.lrtl autodefs.asdl autodefs.mmix xchunks pipedocs
LIBSPECIAL=autodefs.cee
BINEXECS=noindex sl2h htmltoc
EXECS=$(LIBEXECS) $(BINEXECS) $(LIBSPECIAL)
SRCS=totex.icn disambiguate.icn noidx.icn texdefs.icn icondefs.icn \
        yaccdefs.icn noindex.icn smldefs.icn tohtml.icn cdefs.icn elide.icn \
	l2h.icn sl2h.icn pascaldefs.icn promeladefs.icn lrtldefs.icn asdldefs.icn \
	mmixdefs.icn htmltoc.icn xchunks.icn

.SUFFIXES: .nw .icn .html .tex .dvi
.nw.icn:
	notangle -L'#line %-1L "%F"%N' $*.nw $(CPIF) $*.icn
.nw.html:
	noweave -filter l2h -autodefs icon -html -index $*.nw | htmltoc > $*.html
.nw.tex:
	noweave -delay -autodefs icon -index $*.nw > $*.tex
.tex.dvi:
	latex $*; while grep -s 'Rerun to get cross' $*.log; do latex $*; done

all: $(EXECS)
source: $(SRCS)
touch: $(SRCS)
	touch $(SRCS)

install: $(EXECS)
	cp $(LIBEXECS) $(LIB)
	cp $(BINEXECS) $(BIN)
	cp $(LIBSPECIAL) $(LIB)/autodefs.c

clean:
	/bin/rm -f *.tex *.dvi *.aux *.log *.blg *.bbl *~  *.toc *.html *.u1 *.u2 
	/bin/rm -f *.[ch] *.ps *.gz
	/bin/rm -f $(EXECS)
	/bin/rm -f sl2h

clobber: clean
	/bin/rm -f *.icn

texdefs.icn: texdefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' texdefs.nw defns.nw $(CPIF) texdefs.icn
icondefs.icn: icondefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' icondefs.nw defns.nw $(CPIF) icondefs.icn
yaccdefs.icn: yaccdefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' yaccdefs.nw defns.nw $(CPIF) yaccdefs.icn
smldefs.icn: smldefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' smldefs.nw defns.nw $(CPIF) smldefs.icn
cdefs.icn: cdefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' cdefs.nw defns.nw $(CPIF) cdefs.icn
pascaldefs.icn: pascaldefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' pascaldefs.nw defns.nw $(CPIF) pascaldefs.icn
promeladefs.icn: promeladefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' promeladefs.nw defns.nw $(CPIF) promeladefs.icn
lrtldefs.icn: lrtldefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' lrtldefs.nw defns.nw $(CPIF) lrtldefs.icn
asdldefs.icn: asdldefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' asdldefs.nw defns.nw $(CPIF) asdldefs.icn
mmixdefs.icn: mmixdefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' mmixdefs.nw defns.nw $(CPIF) mmixdefs.icn

autodefs.tex: texdefs.icn
	$(ICONT) -o autodefs.tex texdefs.icn

autodefs.icon: icondefs.icn
	$(ICONC) -o autodefs.icon icondefs.icn

autodefs.yacc: yaccdefs.icn
	$(ICONT) -o autodefs.yacc yaccdefs.icn

autodefs.sml: smldefs.icn
	$(ICONT) -o autodefs.sml smldefs.icn

autodefs.cee: cdefs.icn
	$(ICONT) -o autodefs.cee cdefs.icn

autodefs.pascal: pascaldefs.icn
	$(ICONT) -o autodefs.pascal pascaldefs.icn

autodefs.promela: promeladefs.icn
	$(ICONT) -o autodefs.promela promeladefs.icn

autodefs.lrtl: lrtldefs.icn
	$(ICONT) -o autodefs.lrtl lrtldefs.icn

autodefs.asdl: asdldefs.icn
	$(ICONT) -o autodefs.asdl asdldefs.icn

autodefs.mmix: mmixdefs.icn
	$(ICONT) -o autodefs.mmix mmixdefs.icn

totex: totex.icn
	$(ICONC) totex.icn

totexnr: totexnr.icn
	$(ICONT) totexnr.icn

tohtml: tohtml.icn
	$(ICONC) tohtml.icn

docs2comments: docs2comments.icn
	$(ICONC) docs2comments.icn

xchunks: xchunks.icn
	$(ICONT) xchunks.icn

l2h.icn: l2h.nw
	notangle -L'#line %-1L "%F"%N' -R'l2h.icn' l2h.nw $(CPIF) l2h.icn
l2h: l2h.icn
	$(ICONC) -o l2h l2h.icn 

sl2h.icn: l2h.nw
	notangle -L'#line %-1L "%F"%N' -R'sl2h.icn' l2h.nw $(CPIF) sl2h.icn
sl2h: sl2h.icn
	$(ICONC) -o sl2h sl2h.icn 

noindex: noindex.icn
	$(ICONT) noindex.icn

noidx: noidx.icn
	$(ICONC) noidx.icn

elide: elide.icn
	$(ICONT) elide.icn

pipedocs: pipedocs.icn
	$(ICONT) pipedocs.icn

disambiguate: disambiguate.icn
	$(ICONT) disambiguate.icn

htmltoc: htmltoc.icn
	$(ICONT) htmltoc.icn

=== jonkrom/Makefile ===
LIB=/dev/null	# override for installation
SHELL=/bin/sh
all: noxref.krom
	chmod +x noxref.krom

install:
	cp noxref.krom $(LIB)

source: noxref.krom

noxref.krom: noxref.nw
	notangle -Rnoxref noxref.nw > noxref.krom

clean:
	/bin/rm -f *.tex *.dvi *.ilg *.idx *.aux *.log *.blg *.bbl *~ *.ind noxref.krom

=== shell/Makefile ===
# Copyright 1993 by Norman Ramsey.  All rights reserved.
# See file COPYRIGHT for more information.
SHELL=/bin/sh
LIB=/usr/public/pkg/noweb/lib

EXEC=noweave noweb notangle noroff toroff
SRCS=$(EXEC) tmac.w
RCSFILES=noweave.nw notangle.nw noweb.nw noroff.nw noroots nocount Makefile
CINAME=
CIMSG=

all:	$(SRCS)
source: $(SRCS)
touch:	$(SRCS)
	touch $(SRCS)

checkin:
	ci -l $(CINAME) $(CIMSG) $(RCSFILES)

noweave: noweave.nw
	notangle -Rnoweave noweave.nw > noweave

notangle: notangle.nw
	notangle -Rnotangle notangle.nw > notangle

noweb: noweb.nw 
	notangle -Rnoweb noweb.nw > noweb

noroff toroff tmac.w: roff.nw
	noweb -t roff.nw

clean: ;	rm -f *.log *.blg *.dvi *.toc *.aux *.tex *~
clobber: clean ;	rm -f $(SRCS)

=== tex/Makefile ===
SHELL=/bin/sh
NAME="name of version checked in"
CIMSG="message for version checked in"
RCSFILES=support.nw Makefile

all: nwmac.tex noweb.sty
source: nwmac.tex noweb.sty
touch: nwmac.tex noweb.sty
	touch nwmac.tex noweb.sty

checkin:
	ci -l $(CINAME) $(CIMSG) $(RCSFILES)

nwmac.tex: support.nw
	notangle -Rnwmac.tex support.nw > nwmac.tex

noweb.sty: support.nw
	notangle -Rnoweb.sty support.nw > noweb.sty

support.tex: support.nw
	noweave -delay -x support.nw > support.tex

clean: 
	/bin/rm -f *~ *.dvi *.aux *.log *.blg *.bbl *.toc
	/bin/rm -f support.tex

=== xdoc/Makefile ===
WWW=$(HOME)/www/noweb
SHELL=/bin/sh
.SUFFIXES: .1 .7 .txt .ps
.1.txt: ;	nroff -man $*.1 > $*.txt
.1.ps: ;	psroff -t -man $*.1 > $*.ps
.7.txt: ;	nroff -man $*.7 > $*.txt
.7.ps: ;	psroff -t -man $*.7 > $*.ps

MANPAGES=notangle.1   cpif.1   noweb.1   nodefs.1   noroots.1   noindex.1   \
         nowebstyle.7   nowebfilters.7   nuweb2noweb.1   sl2h.1 htmltoc.1   \
	 noroff.1
TXTPAGES=notangle.txt cpif.txt noweb.txt nodefs.txt noroots.txt noindex.txt \
         nowebstyle.txt nowebfilters.txt nuweb2noweb.txt sl2h.txt htmltoc.txt   \
	 noroff.txt
SRCS=$(MANPAGES) $(TXTPAGES)

NAME="name of version checked in"
CIMSG="message for version checked in"
RCSFILES=*.nw *.tex Makefile
DOVERSION=./doversion

all: $(SRCS)
source: $(SRCS)
touch: $(SRCS)
	touch $(SRCS)

www: $(WWW)/onepage.ps $(WWW)/guide.ps $(WWW)/guide.html

checkin:
	ci -l $(CINAME) $(CIMSG) $(RCSFILES)

$(WWW)/onepage.ps: onepage.ps
	cp onepage.ps $(WWW)

$(WWW)/guide.ps: guide.ps
	cp guide.ps $(WWW)

$(WWW)/guide.html: guide.html
	cp guide.html $(WWW)

notangle.1: manpage.nw ../shell/noweave.nw docdate.nw
	notangle -t8 -Rnotangle.1  manpage.nw ../shell/noweave.nw docdate.nw | $(DOVERSION) > notangle.1

nowebstyle.7: manpage.nw ../tex/support.nw docdate.nw
	notangle -t8 -Rnowebstyle.7 manpage.nw ../tex/support.nw docdate.nw | $(DOVERSION) > nowebstyle.7

nowebfilters.7: nowebfilters.nw docdate.nw
	notangle -t8 nowebfilters.nw docdate.nw | $(DOVERSION) > nowebfilters.7

noweb.1: manpage.nw docdate.nw
	notangle -t8 -Rnoweb.1 manpage.nw docdate.nw | $(DOVERSION) > noweb.1

nodefs.1: nodefs.nw docdate.nw
	notangle -t8 nodefs.nw docdate.nw | $(DOVERSION) > nodefs.1

noroots.1: noroots.nw docdate.nw
	notangle -t8 noroots.nw docdate.nw | $(DOVERSION) > noroots.1

noindex.1: noindex.nw docdate.nw
	notangle -t8 noindex.nw docdate.nw | $(DOVERSION) > noindex.1

sl2h.1: sl2h.nw docdate.nw
	notangle -t8 sl2h.nw docdate.nw | $(DOVERSION) > sl2h.1

htmltoc.1: htmltoc.nw docdate.nw
	notangle -t8 htmltoc.nw docdate.nw | $(DOVERSION) > htmltoc.1

cpif.1: manpage.nw docdate.nw
	notangle -t8 -Rcpif.1  manpage.nw docdate.nw | $(DOVERSION) > cpif.1

nuweb2noweb.1: manpage.nw docdate.nw
	notangle -t8 -Rnuweb2noweb.1  manpage.nw docdate.nw | $(DOVERSION) > nuweb2noweb.1

noroff.1: noroff.nw docdate.nw
	notangle -t8 noroff.nw docdate.nw | $(DOVERSION) > noroff.1

wc.tex: ../../examples/wc.nw
	(cd ../../examples; noweave -n -index wc.nw) > wc.tex

techrep.dvi: techrep.tex wc.tex
	latex '\scrollmode \input '"techrep"
	while grep -s 'Rerun to get cross-references right' techrep.log; do latex '\scrollmode \input '"techrep"; done

onepage.dvi: onepage.tex
	latex '\scrollmode \input '"onepage"
	while grep -s 'Rerun to get cross-references right' onepage.log; do latex '\scrollmode \input '"onepage"; done

onepage.ps: onepage.dvi
	dvips -o onepage.ps onepage

guide.dvi: guide.tex
	latex '\scrollmode \input '"guide"
	while grep -s 'Rerun to get cross-references right' guide.log; do latex '\scrollmode \input '"guide"; done

guide.ps: guide.dvi
	dvips -D 300 -o guide.ps guide

guide.uu: guide.ps
	gzip < guide.ps > guide.ps.gz
	uuencode guide.ps.gz < guide.ps.gz > guide.uu

guide.html: guide.dvi
	sl2h guide.tex | htmltoc > guide.html

clean: ;	/bin/rm -f *.dvi *.log *.blg *~ wc.tex *.ps *.gz *.uu *.html
clobber: clean
	rm -f *.1 *.7 *.txt

=== norman/numarkup/Makefile ===
LIB=/dev/null	# to be overridden
CC = cc
CFLAGS = -O

TARGET = numarkup
OBJS = main.o pass1.o latex.o input.o scraps.o names.o arena.o global.o

.SUFFIXES: .nw
.nw.c: ;	notangle -R"$@"'*' -L $< | cpif $@
.nw.h: ;	notangle -R"$@" $< | cpif $@

all: 
	noweb -t numarkup.nw
	make $(TARGET)

install:
	noweb -t numarkup.nw
	make $(TARGET)
	strip $(TARGET)
	cp $(TARGET) $(LIB)

source: main.c pass1.c latex.c input.c scraps.c names.c arena.c global.c

clean:
	rm -f *.o *.c *.h *.tex *.log *.dvi *~ *.blg $(TARGET) *.html *~

$(OBJS): global.h

$(TARGET): $(OBJS)
	$(CC) -o $(TARGET) $(OBJS)

numarkup.html: numarkup.nw
	noweave -filter l2h -html -index numarkup.nw > numarkup.html

numarkup.tex: numarkup.nw
	noweb -o numarkup.nw

=== debian/changelog ===
axiom (20120501-8) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 27 Jul 2013 12:53:53 +0000

axiom (20120501-7) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Mon, 15 Jul 2013 20:51:39 +0000

axiom (20120501-6) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Mon, 15 Jul 2013 16:51:02 +0000

axiom (20120501-5) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Sun, 14 Jul 2013 01:43:03 +0000

axiom (20120501-4) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 12 Jul 2013 15:01:58 +0000

axiom (20120501-3) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 22 Jun 2013 12:46:37 +0000

axiom (20120501-2) unstable; urgency=low

  * rebuild against latest gcl to get latest amd64 relocs  (Closes: #706309).
  * add AXIOM environment variable to axiom-test shell script (Closes: #706572).

 -- Camm Maguire <camm@debian.org>  Sun, 12 May 2013 15:48:08 +0000

axiom (20120501-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Wed, 13 Jun 2012 14:10:36 +0000

=== debian/control ===
Source: axiom
Section: math
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Build-Depends: debhelper ( >= 5 ), gcl ( >= 2.6.7+dfsga-37 ), libgmp3-dev, libreadline-dev, libx11-dev, libxt-dev, x11proto-core-dev,  libxpm-dev, x11-common,  texlive-latex-base,  gawk, sharutils, ghostscript, gsfonts, libxmu-dev, libxaw7-dev, zlib1g-dev, texlive-pstricks, tex-common
Standards-Version: 3.9.4

Package: axiom
Architecture: any
Depends: ${shlibs:Depends}, axiom-databases (= ${source:Version}), ${misc:Depends}
Recommends: axiom-source, axiom-doc, axiom-graphics, axiom-hypertex
Suggests: texmacs, axiom-tex, axiom-test, nowebm
Description: General purpose computer algebra system: main binary and modules
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains the main program binary and all precompiled
 algebra and autoloadable modules.

Package: axiom-source
Architecture: all
Depends: ${misc:Depends}
Description: General purpose computer algebra system: source files
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains source files in Axiom's native spad language
 for the compiled algebra modules supplied in the axiom package.
 .

Package: axiom-test
Architecture: all
Depends: axiom (>= ${source:Version}), ${misc:Depends}
Description: General purpose computer algebra system: regression test inputs
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains input files for Axiom's regression test suite.

Package: axiom-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: General purpose computer algebra system: documentation
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains all documentation, including the Axiom book in
 dvi format with all postscript images.

Package: axiom-databases
Architecture: all
Depends: ${misc:Depends}
Description: General purpose computer algebra system: generated text databases
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains the text databases generated during the build
 process used in computing the hierarchical domain structure, among
 other uses.

Package: axiom-tex
Architecture: all
Depends: texlive-latex-recommended, ${misc:Depends}
Description: General purpose computer algebra system: style file for TeX
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains a TeX style file useful in publishing results
 obtained with Axiom.

Package: axiom-graphics
Architecture: any
Depends: ${shlibs:Depends}, axiom (= ${binary:Version}), axiom-graphics-data (= ${source:Version}), ${misc:Depends}
Description: General purpose computer algebra system: graphics subsystem
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains the binaries for the graphics subsystem.
 The programs in this package allow axiom to draw plots to separate
 windows in X as well as to output files in postscript format.

Package: axiom-graphics-data
Architecture: all
Depends: ${misc:Depends}
Description: General purpose computer algebra system: graphics subsystem
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains required data files for the axiom graphics
 subsystem.

Package: axiom-hypertex
Architecture: any
Depends: ${shlibs:Depends}, axiom (= ${binary:Version}), axiom-hypertex-data (= ${source:Version}), ${misc:Depends}
Description: General purpose computer algebra system: hypertex subsystem
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains the binaries for the hypertex subsystem.
 The programs in this package provide an interactive online help
 system describing the many axiom commands.

Package: axiom-hypertex-data
Architecture: all
Depends: ${misc:Depends}
Description: General purpose computer algebra system: hypertex subsystem
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains required data files for the axiom hypertex
 subsystem.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#VER:=$(shell basename `pwd` | sed 's,.*-,,1')
PN:=axiom
VER:=$(shell awk '{if (i) next;i=1;a=$$2;gsub("[()]","",a);split(a,A,"-");print A[1];}' debian/changelog)
PD:=$(PN)-$(VER)

export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

#NO_SAVE_SYS?=
#ARCHT:=$(shell dpkg --print-architecture)

#ARCHT:=$(DEB_BUILD_ARCH)
#ifeq ($(ARCHT),ia64)
#NO_SAVE_SYS:=t
#endif
#ifeq ($(ARCHT),mips)
#NO_SAVE_SYS:=t
#endif
#ifeq ($(ARCHT),mipsel)
#NO_SAVE_SYS:=t
#endif
#ifeq ($(ARCHT),hppa)
#NO_SAVE_SYS:=t
#endif
#ifeq ($(ARCHT),alpha)
#NO_SAVE_SYS:=t
#endif

# ifeq ($(ARCHT),powerpc)
# NO_STRIP:=--exclude=axiom
# endif

debian/patches_applied: 
	! [ -e debian/patches_unapplied ] || patch -p0 <debian/patch.all
#	! [ -e debian/patches_unapplied ] || [ "$(NO_SAVE_SYS)" = "" ] || patch -p0 <debian/patch.save
#	! [ -e debian/patches_unapplied ] || [ "$(NO_SAVE_SYS)" != "" ] || patch -p0 <debian/patch.nosave
	! [ -e debian/patches_unapplied ] || patch -p0 <debian/patch.merge
	rm -f debian/patches_unapplied
	touch $@

debian/patches_unapplied: 
	! [ -e debian/patches_applied ] || patch -R  -p0 <debian/patch.all
#	! [ -e debian/patches_applied ] || [ "$(NO_SAVE_SYS)" = "" ] || patch -R -p0 <debian/patch.save
#	! [ -e debian/patches_applied ] || [ "$(NO_SAVE_SYS)" != "" ] || patch -R -p0 <debian/patch.nosave
	! [ -e debian/patches_applied ] || patch -R -p0 <debian/patch.merge
	rm -f debian/patches_applied
#	touch $@
	echo foo > $@

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp #debian/patches_applied
	dh_testdir

#	[ "$(NO_SAVE_SYS)" = "" ] || \
#		( mkdir -p $(CURDIR)/mnt/linux/algebra && cp debian/*aase mnt/linux/algebra/ )

	mkdir -p $(CURDIR)/mnt/linux/algebra
	cp -pr src/share/algebra/*.daase mnt/linux/algebra

#	export AXIOM=$(CURDIR)/mnt/linux ; \
	export PATH=$$AXIOM/bin:$$PATH ; \
	while sleep 1800 ; do echo tick; done & j=$$!; \
	$(MAKE) PASS1=t ; i=$$? ; \
	kill $$j || true ; exit $$i

#	find -name "*.lsp" -exec touch {} \;
#	find -name "*.lisp" -exec touch {} \;

#	while sleep 1800 ; do echo tick; done & j=$$!; \
#       i=$$? ; kill $$j || true ; exit $$i

	export AXIOM=$(CURDIR)/mnt/linux ; \
	export PATH=$$AXIOM/bin:$$PATH ; \
	$(MAKE) TESTSET=regresstests

	find mnt/linux -name bessintr.eps -exec rm {} \;
	find mnt/linux -name htsearch -exec chmod 755 {} \;
	find mnt/linux -name command.list -exec chmod -x {} \;
	for i in $$(find mnt/linux -name presea); do cat $$i | sed 's,!/bin/awk,!/usr/bin/awk,1' >tmp && mv tmp $$i; done
	find mnt/linux -name presea -exec chmod 755 {} \;

	echo ")lisp (progn (setq compiler::*default-system-p* nil)(si::save-system \"foo\"))" | AXIOM=$(CURDIR)/mnt/linux $(CURDIR)/mnt/linux/bin/AXIOMsys && mv foo mnt/linux/bin/AXIOMsys

	for i in $$(find mnt/linux -wholename "*.daase/*.daase" -type d); do rm -rf $$i; done

	touch build-stamp

IFS:=$(addprefix debian/,axiom.install axiom.links axiom-doc.install axiom-doc.links axiom-source.install axiom-source.links axiom-test.install axiom-test.links axiom-databases.install axiom-databases.links axiom-tex.install axiom-graphics.install axiom-graphics-data.install axiom-hypertex.install axiom-hypertex-data.install )

fooclean:
	rm -f $(IFS)

clean: #debian/patches_unapplied
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	set

	AXIOM=$(CURDIR)/mnt/linux  \
	C_INCLUDE_PATH=/usr/include:$C_INCLUDE_PATH \
	$(MAKE) clean
	rm -f lsp/Makefile.dvi src/algebra/Makefile.dvi src/input/Makefile.dvi obj/noweb/contrib/kostas/Makefile obj/noweb/src/c/notangle.o obj/noweb/src/c/getline.o obj/noweb/src/c/match.o obj/noweb/src/c/modules.o obj/noweb/src/c/modtrees.o obj/noweb/src/c/strsave.o obj/noweb/src/c/main.o obj/noweb/src/c/errors.o obj/noweb/src/c/columns.o obj/noweb/src/c/nt obj/noweb/src/c/markmain.o obj/noweb/src/c/markup.o obj/noweb/src/c/markup obj/noweb/src/c/mnt.o obj/noweb/src/c/mnt obj/noweb/src/c/finduses.o obj/noweb/src/c/recognize.o obj/noweb/src/c/finduses mnt/bin/lib/nt mnt/bin/lib/markup mnt/bin/lib/mnt mnt/bin/lib/finduses mnt/bin/Makefile.dvi  Makefile.dvi src/Makefile.dvi src/interp/Makefile.dvi src/doc/Makefile.dvi
	rm -f lsp/Makefile src/Makefile src/boot/Makefile src/clef/Makefile src/doc/Makefile src/etc/Makefile src/input/Makefile src/interp/Makefile src/lib/Makefile src/scripts/Makefile src/share/Makefile 
	rm -f src/algebra/Makefile lastBuildDate
	find -name Makefile.dvi -exec rm {} \;
	rm -f Makefile.linux
	rm -f $(IFS)
	rm -rf debian/axiom_tutorialu debian/bin debian/axiom.1
	find -mindepth 2 -name Makefile -exec rm {} \;
	rm -f books/tangle.o
	mv src/scripts/tex/axiom.sty src/scripts/tex/axiom.sty.ori
	find -name axiom.sty -exec rm {} \;
	mv src/scripts/tex/axiom.sty.ori src/scripts/tex/axiom.sty
	rm -rf kaf*.sdata
	rm -f src/interp/bookvol5.pamphlet src/interp/bookvol9.pamphlet src/algebra/bookvol10.2.spad.pamphlet
	rm -f src/algebra/bookvol10.4.spad.pamphlet src/algebra/bookvol10.3.spad.pamphlet 
	rm -f src/interp/Makefile.pamphlet.new debian/test_results
	rm -f libdb.text src/algebra/Makefile.help
	rm -f src/interp/bookvol10.5.pamphlet src/algebra/*.spad
	dh_clean 

debian/axiom.install: 
	find mnt/linux -name "*.o" | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	find mnt/linux -name "*.lsp" | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	find mnt/linux/bin/* -newer mnt/linux/bin/Makefile.pamphlet -maxdepth 0 -type f | grep -v /h[yt] | grep -v /view | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	find mnt/linux/lib/* | grep -v copyright | grep -v /h[yt] | grep -v /view | grep -v /graph | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	echo debian/bin/axiom usr/bin >>$@
	echo debian/axiom.1 usr/share/man/man1 >>$@

debian/axiom-graphics.install: 
	find mnt/linux/bin/view* mnt/linux/lib/view* | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@

debian/axiom-graphics-data.install: 
	echo mnt/linux/lib/graph | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	echo mnt/linux/doc/viewports | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@

debian/axiom-hypertex.install: 
	find mnt/linux/bin/h[ty]* mnt/linux/lib/h[ty]* | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@

debian/axiom-hypertex-data.install: 
	echo mnt/linux/doc/hypertex | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	echo mnt/linux/doc/ps | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	echo mnt/linux/doc/bitmaps | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	echo mnt/linux/doc/ht.db | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	find mnt/linux/doc/*.pamphlet | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@

debian/axiom.links:
	echo usr/share/doc/axiom/copyright usr/lib/$(PD)/lib/copyright >>$@
#	echo usr/bin/axiom usr/bin/AXIOMsys >>$@
	echo usr/share/man/man1/axiom.1 usr/share/man/man1/AXIOMsys.1 >>$@

debian/axiom-doc.install: debian/axiom-hypertex-data.install debian/axiom-graphics-data.install
	find mnt/linux/doc/* -maxdepth 0 | \
		$(shell cat $^ | awk '{print "grep -v " $$1 " | "}') \
		awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	echo debian/axiom_tutorialu usr/share/doc/axiom-doc >>$@

debian/axiom-doc.links:
	echo usr/share/doc/axiom-doc usr/lib/$(PD)/doc >>$@

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
opts="uversionmangle=s/([a-z]+)([0-9]+)/$2$1/;s/jan/0101/;s/feb/0201/;s/mar/0301/;s/apr/0401/;s/may/0501/;s/jun/0601/;s/july/0701/;s/jul/0701/;s/aug/0801/;s/sep/0901/;s/oct/1001/;s/nov/1101/;s/dec/1201/;" http://axiom.axiom-developer.org/axiom-website/download.html	.*axiom-([a-z][a-z][a-z]+[0-9]*)-src.tgz	debian	uupdate
